dbXML API

## com.dbxml.db.common.btree
Interface PageFilter

All Superinterfaces:
  Configurable

public interface PageFilter
extends Configurable

PageFilter implements a global Page filter for the database. All files that derive from the Paged interface will have their pages encoded and decoded using the methods of an implementation of this interface. Implementations of this interface are chained and executed in their configured order for writes, and reverse order for reads.

Method Summary
`byte[]` `decode(byte[] buffer, int maxSize)`
`byte[]` `encode(byte[] buffer, int maxSize)`
`int` `getPadding()`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig, setConfig`

Method Detail

### getPadding

    public int getPadding()

### encode

    public byte[] encode(byte[] buffer,
                         int maxSize)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public byte[] decode(byte[] buffer,
                         int maxSize)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

dbXML API

Copyright (c) 2004 The dbXML Group